# Predicting Course Change Positions for Sailboats

This repository hosts a project developed as part of the coursework for the [Applied AI program at FH-SWF](https://www.fh-swf.de). It demonstrates the application of artificial intelligence (AI) in predicting course changing positions for sailboats.

## Overview

- **Technology Stack**: Python, TensorFlow, Jupyter Notebook
- **Notebook**: `SegelbootKurswechselpositionen.ipynb`
- **Data**: Located in the `data` folder

## Project Structure

- **Jupyter Notebook**: The notebook titled `SegelbootKurswechselpositionen.ipynb` contains experiments conducted for this project. The navigation algorithm utilized is based on the course finder developed by the [Sailing Team Darmstadt e.V.](https://www.st-darmstadt.de). Note: The course finder algorithm by the Sailing Team Darmstadt e.V. is proprietary and is not included in this project.
  
- **Data**: The training data essential for this project is housed in the `data` folder.

## Getting Started

1. Clone the repository to your local machine.
2. Navigate to the project directory.
3. Open the Jupyter Notebook to view the experiments and analyses.
